StAXContentHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.agave.StAXContentHandler interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Interface StAXContentHandler

All Known Implementing Classes:
  AGAVEAltIdsPropHandler, AGAVEAnnotationsHandler, AGAVEAssemblyHandler, AGAVEBioSeqHandler, AGAVEBioSequenceHandler, AGAVECdsHandler, AGAVEChromosomeHandler, AGAVEClassificationHandler, AGAVECompResultHandler, AGAVEComputationHandler, AGAVEContigHandler, AGAVEDbIdPropHandler, AGAVEDescPropHandler, AGAVEElementIdPropHandler, AGAVEEvidenceHandler, AGAVEExonsPropHandler, AGAVEFragmentOrderHandler, AGAVEFragmentOrientationHandler, AGAVEGeneHandler, AGAVEHandler, AGAVEIdAliasPropHandler, AGAVEKeywordPropHandler, AGAVEMapLocationPropHandler, AGAVEMapPositionPropHandler, AGAVEMatchAlignPropHandler, AGAVEMatchDescPropHandler, AGAVEMatchRegionPropHandler, AGAVEMrnaHandler, AGAVENotePropHandler, AGAVEPredictedProteinHandler, AGAVEQualifierPropHandler, AGAVEQueryRegionPropHandler, AGAVERelatedAnnotPropHandler, AGAVEResultGroupHandler, AGAVEResultPropertyPropHandler, AGAVESciPropertyPropHandler, AGAVESeqFeatureHandler, AGAVESeqLocationPropHandler, AGAVESeqMapHandler, AGAVESeqPropHandler, AGAVETranscriptHandler, AGAVEUnorderedFragmentsHandler, AGAVEViewPropHandler, AGAVEXrefPropHandler, AGAVEXrefPropPropHandler, AGAVEXrefsPropHandler, StAXContentHandlerBase, StAXFeatureHandler, StAXPropertyHandler

    public interface StAXContentHandler

Interface for StAX content handlers. This interface is very similar in spirit and design to the SAX content handler. Differences are:

1. start/endDocument methods are replaced by start/endTree. This recognises the fact that a StAX content handler may only see a sub-tree of an XML document, rather than the whole document.
2. the startElement method takes a `DelegationManager`, allowing delegation of sub-trees to other content handlers.

Author:
  copied from Thomas Down

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endElement(String nsURI, String localName, String qName, StAXContentHandler delegate)`
`void` | `endPrefixMapping(String prefix)`
`void` | `endTree()`
`void` | `ignorableWhitespace(char[] ch, int start, int length)`
`void` | `processingInstruction(String target, String data)`
`void` | `setDocumentLocator(Locator locator)`
`void` | `skippedEntity(String name)`
`void` | `startElement(String nsURI, String localName, String qName, Attributes attrs, DelegationManager dm)`
`void` | `startPrefixMapping(String prefix, String uri)`
`void` | `startTree()`

Method Detail

### startTree

    void startTree()
                   throws SAXException

  Throws:
    `SAXException`

### endTree

    void endTree()
                 throws SAXException

  Throws:
    `SAXException`

### characters

    void characters(char[] ch,
                    int start,
                    int length)
                    throws SAXException

  Throws:
    `SAXException`

### ignorableWhitespace

    void ignorableWhitespace(char[] ch,
                             int start,
                             int length)
                             throws SAXException

  Throws:
    `SAXException`

### startPrefixMapping

    void startPrefixMapping(String prefix,
                            String uri)
                            throws SAXException

  Throws:
    `SAXException`

### endPrefixMapping

    void endPrefixMapping(String prefix)
                          throws SAXException

  Throws:
    `SAXException`

### processingInstruction

    void processingInstruction(String target,
                               String data)
                               throws SAXException

  Throws:
    `SAXException`

### setDocumentLocator

    void setDocumentLocator(Locator locator)

### skippedEntity

    void skippedEntity(String name)
                       throws SAXException

  Throws:
    `SAXException`

### startElement

    void startElement(String nsURI,
                      String localName,
                      String qName,
                      Attributes attrs,
                      DelegationManager dm)
                      throws SAXException

  Throws:
    `SAXException`

### endElement

    void endElement(String nsURI,
                    String localName,
                    String qName,
                    StAXContentHandler delegate)
                    throws SAXException

  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD